Skip to main content
POST
/
v1
/
click2pay
/
VISA
/
enroll
/
customer
/
{customerId}
Enrol a Cardholder and a Card in C2P
curl --request POST \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/enroll/customer/{customerId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardId": [
    "123456789"
  ],
  "customerBID": "123456",
  "overrides": {
    "emails": [
      "alex123@hotmail.com"
    ],
    "phones": [
      "16504005555"
    ]
  },
  "cardOverrides": {
    "addressLine1": "1000 Market Street",
    "addressLine2": "Building 56",
    "city": "San Francisco",
    "postalCode": "94105",
    "country": "USA"
  }
}
'
{
  "requestTraceId": "351562ba-83cf-11ee-b962-0242ac120002"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string<biginteger>
required

Unique identifier of the customer. You have received this via the Customer API.

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json
cardId
string[]
required

Unique identifier of the card type you want to enrol in C2P. You have received this via the Card API. Note: If you send multiple card IDs, the request fails and returns an error.

Required array length: 1 element
customerBID
string
required

Unique identifier assigned to each issuer. Note: If you are using our BIN sponsorship, we provide you the customerBID; else, Visa provides you the customerBID.

Example:

"123456"

overrides
object

Customer overrides are used to override the customer information that is stored in the Visa C2P.

cardOverrides
object

Card overrides are used to provide Visa-compliant billing address fields specifically for the Click to Pay request. Any fields present in cardOverrides override the corresponding billing address values sent to Visa for that request. Any omitted fields fall back to the existing stored cardholder data.

Example:
{
"addressLine1": "1000 Market Street",
"addressLine2": "Building 56",
"city": "San Francisco",
"postalCode": "94105",
"country": "USA"
}

Response

Accepted

requestTraceId
string<uuid>
required

Unique identifier of the request

Required string length: 36
Example:

"351562ba-83cf-11ee-b962-0242ac120002"